#
#	Called by tvmmount.sh (as part of tvmobili/provisiontool udev rules) to perform any action required by the 
#	TVMOBiLi service when a device is added.
#
#	
TVMDEVICESDIR=/etc/tvmobili/devices
DEVICE_NAME=`echo $1 | tr "[:upper:]" "[:lower:]"`
DEVICE_ACTION=`echo $2 | tr "[:upper:]" "[:lower:]"`
DEVICE_MOUNT_DIR=$3
ID_VENDOR=$4
ID_MODEL=$5

if [ "$DEVICE_MOUNT_DIR" == "" ]; then
	DEVICE_MOUNT_DIR="plugapp"
fi

#
#	Should we (un)mount the device?
#
#		set > /usr/local/bin/xx.txt
#
mkdir -p $TVMDEVICESDIR
FILE_TXT="<device name=\"/dev/$DEVICE_NAME\" mount=\"/mnt/$DEVICE_MOUNT_DIR/tvm$DEVICE_NAME\" vendor=\"$ID_VENDOR\" model=\"$ID_MODEL\" timestamp=\"$ACTION_TIMESTAMP\"/>"
#echo $FILE_TXT >> /tmp/tvmmount.log 

#
#	What action has occurred?
#
if [[ $DEVICE_ACTION == "a" ]]; then
	#
	#	Device added. In case the file already exists delete it so that the filesystem notify code will pick up the change.
	#	For performance reasons, the file system notification code only watches for additions and deletions and NOT modifications!!
	#
	rm -f $TVMDEVICESDIR/$DEVICE_NAME.xml
	echo  $FILE_TXT > $TVMDEVICESDIR/$DEVICE_NAME.xml
else
	if [[ $DEVICE_ACTION == "d" ]]; then
		#
		#	Device removed
		#
		rm -f $TVMDEVICESDIR/$DEVICE_NAME.xml
	fi
fi

