#!/bin/bash
#
#	MWF 26/04/10
#	
#	Script called by the plug service on start up to check mounts and if necessary remount them.
#	This is necessary because we have observed that under certain circumstances (usually USB drives
#	that are connected via a USB hub), some devices are not automatically mounted via udev when the
#	machine is rebooted. 
#
#
#	Iterate over all devices of the type monitored by 
#
#	Note. A copy of this file is stored in the tiavata project too (ConfigFiles/arm/Sheevaplug)
#
RemountDevice()
{
	#
	#	Iterate over all the devices that match the supplied pattern calling tvmmount on each one in turn.
	#	It does not actually matter if we attempt to mount an already mounted drive as the operation will
	#	just fail.
	#
	for x in $1* ; do
		if [[ $x = sd[a-z,A-Z][0-9]* ]] ; then
			/usr/local/bin/tvmmount.sh a $x
		fi
	done
}

#
#	Remount devices of type
#
pushd /dev &> /dev/null
RemountDevice sd
popd &> /dev/null
